{% extends 'base.html' %}

{% block content %}
<div class="collapse" id="formCollapse">
    <div class="card card-body">
        <form action="{{URLFor('adherent_edit', ':username', adherent.Username)}}" method="post">
            <fieldset>
                <legend>Modifications à apporter</legend>
                <div class="form-group">
                    <label for="commentaires">Commentaires</label>
                    <textarea name="commentaires" id="commentaires" class="form-control"
                              rows="5">{{adherent.Commentaires}}</textarea>
                </div>
                <div class="form-group form-check">
                    <div class="custom-control custom-switch">
                        <input type="checkbox" class="custom-control-input"
                               id="valide" name="valide"
                               {% if adherent.Valide%}checked{%endif%}>
                        <label class="custom-control-label" for="valide">Valide</label>
                    </div>

                    <div class="custom-control custom-switch">
                        <input type="checkbox" class="custom-control-input" id="a_paye" name="a_paye"
                               {% if adherent.APaye %}checked{%endif%}>
                        <label class="custom-control-label" for="a_paye">Adhésion payée</label>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Enregistrer</button>
                <button class="btn btn-secondary" type="button" data-toggle="collapse" data-target="#formCollapse"
                        aria-expanded="false" aria-controls="formCollapse">
                    Annuler
                </button>
                <input type="hidden" name="_csrf" value="{{csrf_token}}"/>
            </fieldset>
        </form>

    </div>
    <br/>
</div>
<p>
    <button class="btn btn-outline-primary" type="button" data-toggle="collapse" data-target="#formCollapse"
            aria-expanded="false" aria-controls="formCollapse">
        Modifier
    </button>
</p>
{% include 'partials/detail-adherent.html' with Adherent=adherent%}
{% endblock %}